Skip to content

Download a rendition (file) from the latest version of a document.

GET/api/{version}/objects/documents/{doc_id}/renditions/{rendition_type}
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{doc_id}The document id field value.
{rendition_type}The document rendition type.
NameDescription
steadyStateSet to true to download a rendition (file) from the latest steady state version (1.0, 2.0, etc.) of a document.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v18.3/objects/documents/534/renditions/viewable_rendition__v > file
{ "responseStatus": "SUCCESS" }

On SUCCESS, Vault retrieves the file associated with the given renditions type for the document. The HTTP Response Header Content-Type is set to application/octet-stream.